Imagick::clutImage
Imagick::colorFloodfillImage
Imagick
PHP Manual

# Imagick::coalesceImages

(PECL imagick 2.0.0)

Imagick::coalesceImages — Composites a set of images

### Description

Imagick Imagick::coalesceImages ( void )

Composites a set of images while respecting any page offsets and disposal methods. GIF, MIFF, and MNG animation sequences typically start with an image background and each subsequent image varies in size and offset. Returns a new Imagick object where each image in the sequence is the same size as the first and composited with the next image in the sequence.

### Return Values

Returns a new Imagick object on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::clutImage
Imagick::colorFloodfillImage
Imagick
PHP Manual